package com.seeyon.apps.src_hxinvoice.constants;

public enum HxinvoiceConstants {


    plugin("src_hxinvoice","插件ID"),
    secretKey("IGedAOlfMsPotl7WXePNPSNdPtjnvn85Tvt9","secretKey"),
    secretId("NfD7rBPYAk1Zod37wqlB4wWdgSFtRgMj","secretId"),
    ipport("10.1.10.202:10000","ip端口"),
    uploadMemberLoginName("oatest","附件上传人员登录名"),
    updateAccountName("湖北三峡旅游集团股份有限公司","上传单位名称"),
    stateEnumId("xxxxx","订单状态枚举ID"),
    nodeTokenUrl("/seeyon/rest/flow/notification/","超级节点回调URL"),
    localipport("http://10.1.10.12","本地ip端口"),
    getTokenUrl("/seeyon/rest/token/","调用获取TOKEN地址"),
    localRestName("testHR","本地rest名称"),
    localRestPwd("5434c7fc-12e6-4d17-97e0-ba1a825757e4","本地rest密码"),
    enumProCode("FaPiaoXingXingZhi","发票行性质编码"),
    hxInvoicessoIpportUrl("https://itax-test.hbsxly.com","航信单点登录ip端口"),
    hxInvoicessoUrl("/itaxAdmin/doLoginSx?un=","航信单点登录url"),
    yhzcbsProCode("xxx","优惠政策标识枚举编码"),
    lsbsProCode("xxx","零税标识枚举编码");

    HxinvoiceConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    private String defaultValue;
    private String description;

    public String getDefaultValue() {
        return defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
